SystemOrganization addCategory: #Monticello2!
SystemOrganization addCategory: #'Monticello2-Definitions'!
SystemOrganization addCategory: #'Monticello2-Tests'!

TestCase subclass: #MDTestMockImageProxy
	instanceVariableNames: 'proxy'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Monticello2-Tests'!

!MDTestMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:26'!
methodSnapshot: aSymbol
	^ MDDefinitionSnapshot forDefinition: (MDMethodDefinition className: 'Test' selector: aSymbol)! !

!MDTestMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:05'!
testLoadDefinition
	| snap |
	snap _ self methodSnapshot: #method1.
	snap properties at: #source put: '2'.
	proxy loadSnapshot: snap.
	self assert: (proxy at: #method1) = '2'! !

!MDTestMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:05'!
testCurrentDefinition
	| snap |
	proxy at: #method1 put: '1'.
	snap _ self methodSnapshot: #method1.
	proxy updateSnapshot: snap.
	self assert: snap definition selector = #method1.
	self assert: (snap properties at: #source) = '1'.! !

!MDTestMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 15:00'!
setUp
	proxy _ MDMockImageProxy new! !

Object subclass: #MDDefinition
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Monticello2-Definitions'!

!MDDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:02'!
= other
	self subclassResponsibility ! !

!MDDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:08'!
load: propDict into: anImageProxy
	self subclassResponsibility! !

!MDDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:02'!
hash
	self subclassResponsibility ! !

!MDDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:08'!
update: propDict from: anImageProxy
	self subclassResponsibility! !

MDDefinition subclass: #MDMethodDefinition
	instanceVariableNames: 'className selector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Monticello2-Definitions'!

!MDMethodDefinition class methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:02'!
className: aString selector: aSymbol
	^ self basicNew initializeWithClassName: aString selector: aSymbol! !

!MDMethodDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:02'!
initializeWithClassName: aString selector: aSymbol
	className _ aString.
	selector _ aSymbol! !

!MDMethodDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:26'!
className
	^ className! !

!MDMethodDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:23'!
load: propDict into: anImageProxy
	anImageProxy load: propDict forMethodDefinition: self! !

!MDMethodDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:26'!
selector
	^ selector! !

!MDMethodDefinition methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:22'!
update: propDict from: anImageProxy
	anImageProxy update: propDict forMethodDefinition: self! !

Object subclass: #MDDefinitionSnapshot
	instanceVariableNames: 'definition properties'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Monticello2-Definitions'!

!MDDefinitionSnapshot methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:00'!
initializeWithDefinition: aDefinition
	definition _ aDefinition.
	properties _ Dictionary new! !

!MDDefinitionSnapshot methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:08'!
loadInto: anImageProxy
	definition load: properties into: anImageProxy! !

!MDDefinitionSnapshot methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:06'!
properties
	^ properties! !

!MDDefinitionSnapshot methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:00'!
definition
	^ definition! !

!MDDefinitionSnapshot methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:07'!
updateFrom: anImageProxy
	definition update: properties from: anImageProxy! !

!MDDefinitionSnapshot class methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:00'!
forDefinition: aDefinition
	^ self basicNew initializeWithDefinition: aDefinition! !

Object subclass: #MDImageProxy
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Monticello2-Definitions'!

MDImageProxy subclass: #MDMockImageProxy
	instanceVariableNames: 'dict'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Monticello2-Tests'!

!MDMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:23'!
initialize
	dict _ Dictionary new! !

!MDMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:24'!
load: propDict forMethodDefinition: aMethodDef
	dict at: aMethodDef selector put: (propDict at: #source)! !

!MDMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:24'!
at: aSymbol put: aString
	dict at: aSymbol put: aString! !

!MDMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:24'!
update: propDict forMethodDefinition: aMethodDef
	propDict at: #source put: (dict at: aMethodDef selector)! !

!MDMockImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:24'!
at: aSymbol
	^ dict at: aSymbol! !

!MDImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:06'!
updateSnapshot: aSnapshot
	aSnapshot updateFrom: self! !

!MDImageProxy methodsFor: 'as yet unclassified' stamp: 'avi 11/28/2004 16:07'!
loadSnapshot: aSnapshot
	aSnapshot loadInto: self! !
